support enumeration and removal of known handlers
The handler service should support enumeration and removal of known handlers so the Download Actions dialog (which I'm modifying over in bug  can enumerate and remove handlers via an API rather than by directly modifying the datasource.
